Bug 185167 - save as: the title is cut after the second dot
Summary: save as: the title is cut after the second dot
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-21 21:42 UTC by xzill
Modified: 2009-09-06 19:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xzill 2009-02-21 21:42:44 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    SuSE RPMs

kmail save_as
by save as the titel is cut after the second dot, sometimes after the first dot.
example:
from: 31.12.2008 xxx yyy zzz 
save as -> from: 31.12.mbox
should be: from: 31.12.2008 xxx yyy zzz.mbox

some.domain.tld xxx yyy zzz 
save as -> some.domain.mbox
should be: some.domain.tld xxx yyy zzz.mbox
Comment 1 Jaime Torres 2009-02-22 00:29:58 UTC
This works for me in kmail 1.11.90 (kde 4.2.62).
A message with subject: prueba.primera.segunda.tercera cuarta quinta sexta.septima
shows in the save as:
prueba.primera.segunda.tercera cuarta quinta sexta.septima.mbox
Comment 2 xzill 2009-03-11 13:29:20 UTC
in KMail Version 1.11.0  (KDE 4.2.1 "release 103") it does not work
Comment 3 Martin Koller 2009-09-06 19:32:08 UTC
SVN commit 1020592 by mkoller:

BUG: 185167

make sure the "save as" dialog does not strip the filename part after the last "."
thinking it's an extension.

Also, factor out a fileName cleaning function


 M  +31 -19    kmcommands.cpp  
 M  +5 -0      kmcommands.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1020592
Comment 4 Martin Koller 2009-09-06 19:33:19 UTC
SVN commit 1020593 by mkoller:

Backport r1020592 by mkoller from trunk to the 4.3 branch:

CCBUG: 185167

make sure the "save as" dialog does not strip the filename part after the last "."
thinking it's an extension.

Also, factor out a fileName cleaning function



 M  +31 -19    kmcommands.cpp  
 M  +5 -0      kmcommands.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1020593